Package org.kapott.hbci.manager

## Class ChallengeInfo.HhdVersion

- java.lang.Object
- - org.kapott.hbci.manager.ChallengeInfo.HhdVersion

Enclosing class:
  ChallengeInfo

    public static class ChallengeInfo.HhdVersion
    extends java.lang.Object

Eine Bean fuer den Parameter-Satz eines Geschaeftvorfalles innerhalb einer HHD-Version.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getKlass()` Liefert die Challenge-Klasse.
`java.util.List<ChallengeInfo.Param>` `getParams()` Liefert die Challenge-Parameter fuer den Geschaeftsvorfall in dieser HHD-Version.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getKlass

    public java.lang.String getKlass()

Liefert die Challenge-Klasse.

Returns:
  die Challenge-Klasse.

#### getParams

    public java.util.List<ChallengeInfo.Param> getParams()

Liefert die Challenge-Parameter fuer den Geschaeftsvorfall in dieser HHD-Version.

Returns:
  die Challenge-Parameter fuer den Geschaeftsvorfall in dieser HHD-Version.